Help file for QuickGamma & QuickGammaLoader

QuickGamma & QuickGammaLoader

Copyright © 2003, 2004 Eberhard Werle

Support@QuickGamma.de

Terms of use

Both programs, "QuickGamma" & "QuickGammaLoader" are Copyright protected. They are not public domain software and not for commercial use. They are free of charge. They may be installed and used on any suitable computer and they may be distributed freely as long as neither the programs nor any other components of the package are altered, deleted or appended.

Warranty disclaimer

The author gives no warranties, either expressed or implied, that this software is fit for a particular purpose, or will perform adequately at all times. This software is licensed "as is", and so you (the user) are assuming the full risk of using it. If this software causes any damage in any way, then you must bear the full burden of the damage caused.

QuickGamma

QuickGamma allows you to set the gamma correction for your monitor on the fly to match the recommended Windows gamma of 2.2. In fact you should run QuickGamma on every Windows startup after the monitor has warmed up (15 to 30 minutes) and whenever the ambient light conditions have changed.

QuickGammaLoader

Once you have found the optimum gamma correction for your monitor at the usual ambient light conditions, you should save the gamma correction setting as default for the QuickGammaLoader utility. This default gamma correction setting can be restored automatically at each Windows startup by QuickGammaLoader.

Using QuickGamma & QuickGammaLoader

First of all a good gamma chart to estimate the actual gamma as accurate as possible is needed. Numerous gamma charts can be found by searching the Internet, but the very best chart in my opinion can be found at Norman Koren's internet pages at http://www.normankoren.com With the permission of Norman Koren, his gamma chart has been implemented into QuickGamma because it allows to adjust the monitor brightness along with the monitor gamma. This is very important, since brightness and gamma settings interact substantially. To achieve the best setup without buying expensive hardware, perform the following steps:
  1. For best viewing conditions, set the color temperature of the monitor to 6500K (most monitors come with a default setting of 9300K, which is far too blue). If you don't know how to set the color temperature, check your monitor's documentation for the appropriate control.

  2. Set the contrast to maximum (turn it down a bit only if the monitor appears unnaturally harsh).

  3. Set the brightness so that the right dark gray vertical bar "Black level B" is distinctly visible and the left dark gray bar "Black level A" is just visible opposite the 2.2 mark on the gamma scale. The "Black level A" bar should not be visible opposite the 1.9 mark on the gamma scale.

  4. Adjust the gamma using the spin buttons. The area of the gamma chart where the outer and the inner vertical bands seem to have the same gray level moves up or down when changing the actual gamma. Keep changing the gamma until the center of this area is opposite the 2.2 gamma scale. At this point the numerical gamma value displayed to the left of the spin buttons shows the actual (native) gamma value of the monitor.

  5. Starting with QuickGamma Version 2 the gamma value for each color red, green and blue can be adjusted individually. Pushing the button "Adjust Gamma for Red, Green and Blue individually" opens a new windows displaying a RGB gamma chart. The gamma value for each color can be adjusted separately by using the respective spin buttons. The procedure of adjusting gamma for a color is the same as described above under 4. except that the area to look for is the area of the respective color that seems to have the same color level across. Adjusting gamma visually for a each color is more difficult than adjusting gamma for a gray level. If the gray gamma chart seems to have color fringes in the outer vertical bands it is most likely that the gamma of each color needs to be adjusted individually. Drag the window with the RGB gamma chart to the side so you can see the gray chart. Now adjust the gamma for each color. When the gamma of each color is adjust correctly, the color fringes in the gray chart should be gone. If the gray chart still has color fringes your monitor seem to be the problem. Once you are done push the "OK" button. The previous window will now show the new gamma values. From now on it should only be necessary to adjust the gray level gamma (as described under steps 3 and 4) whenever the ambient light viewing conditions change
Because the brightness and the gamma setting interact substantially, it could be necessary the repeat steps 3 and 4.

Attention: The brightness adjustment (step 3) needs to be repeated every time the ambient light viewing conditions change! After the brightness has been readjusted, it should not be necessary to readjust the gamma again.

To adjust the overall gamma automatically on every Windows startup, mark the check box "Run QuickGammaLoader at Windows Startup" and push the button "Set Current Gamma as QuickGammaLoader Default Gamma".

When you are done push the "OK" button.

If you want to undo all changes, push the "Cancel" button. The QuickGamma & QuickGammaLoader settings are restored to their last setting before QuickGamma was started.

The "Help" button of course is self explaining, otherwise you wouldn't read this text...

Attention color management users: QuickGamma & QuickGammaLoader implement the actual gamma correction - of whatever value you set it to - into the graphics card. By doing so, all applications will find a gamma corrected monitor environment. If you are working with applications that have a built in color management, make sure that the ICM or ICC monitor profiles used with these applications match the actual gamma as set up by QuickGamma & QuickGammaLoader. If the gamma values don't match, an over- or undercorrection could be the result! Beware, some applications with built in color management use proprietary tags! These proprietary tags and the TRC tags need to be set in such a way that they represent a gamma of 2.2. The media white point tag of the ICM or ICC monitor profiles must be set according to color temperature of the monitor. Standard ICM monitor profiles for Windows and Internet are the sRGB and SMPTE profiles with a gamma of 2.2 and a media white point of D65 (6500K). For more information about color management and much more take a look at Norman Koren's excellent photography internet pages at http://www.normankoren.com.

If you are a technically interested person and want to know how QuickGamma works and compares to Adobe Gamma, read on, otherwise ignore this paragraph.

QuickGamma establishes the gamma correction by altering the graphics card color look up table. It can handle color look up tables up to 48 Bits in size (16 Bits per color). Graphics cards with smaller color look up tables will ignore some lower Bits. A 24 Bit color lookup table (8 Bits per color) will ignore the lower 8 Bits of the 16 Bit value of each color. The Gamma spin button stepping for 48 Bit color look up tables will be 0.01. For graphics cards with smaller color look up tables, the Gamma spin button stepping will increase, because a stepping of 0.01 will not produce a change in the color look up table.

If you are familiar with Adobe Gamma, you might wonder what the differences are between QuickGamma and Adobe Gamma.

Adobe Gamma creates an ICC profile with a proprietary tag that contains the data to set the color look up table. This ICC profile is set up in Windows as the default monitor profile. At Windows startup, Adobe Gamma Loader reads the default monitor profile and alters the color lookup table according to the proprietary tag data. On Windows systems, a target gamma of 2.2 must be specified upon creation of the profile, because the color look up table will be set by Adobe Gamma Loader to establish a gamma of 2.2. If the target gamma for the ICC profile is set to a different value, color management aware programs which make use of the default monitor profile, will do an additional correction. Hence the picture displayed on the monitor is not correct. Correcting the appearance of the picture on the monitor via the gamma function of a color management aware program, alters the actual picture data such that the picture will not correctly display on a gamma calibrated monitor.

QuickGamma does not create an ICC profile. It stores the color look up data in the registry. At Windows startup, QuickGammaLoader reads the color look up table data from the registry and loads the color look up table accordingly. Since sRGB represents the default color space for Windows and the Internet, the sRGB ICC monitor profile that comes with Windows should be set up as default monitor profile. The sRGB profile has a media white point of 6500K and a gamma of 2.2 and can be used with any color management aware program.